Please do not post a support request without first reading and following the advice in https://retropie.org.uk/forum/topic/3/read-this-first

Add Emulator for arcade folder



  • Hi,

    I put all my mame roms in the arcade folder.
    How do i add emulator, what settings?
    I tried a couple of settings nothing worked.......

    thanx,

    Pat



  • @gforce The emulator is lr-mame2003 by default. If you have put roms in the arcade folder and they do not launch, you do not have 0.78 roms. Also when you say things like "I tried a couple of settings nothing worked.......", how do you expect people to know what you did? please refer to this post first https://retropie.org.uk/forum/topic/3/read-this-first



  • @Gforce Every Arcade emulator in can be selected.
    I've 5 or 6 to choose there!

    check for config.cfg in aracade - it should look like

    mame4all = "/opt/retropie/emulators/mame4all/mame %BASENAME%"
    pifba = "/opt/retropie/emulators/pifba/fba2x %ROM%"
    lr-fbalpha = "/opt/retropie/emulators/retroarch/bin/retroarch -L /opt/retropie/libretrocores/lr-fbalpha/fbalpha_libretro.so --config /opt/retropie/configs/arcade/retroarch.cfg %ROM%"
    lr-mame2000 = "/opt/retropie/emulators/retroarch/bin/retroarch -L /opt/retropie/libretrocores/lr-mame2000/mame2000_libretro.so --config /opt/retropie/configs/arcade/retroarch.cfg %ROM%"
    lr-mame2003 = "/opt/retropie/emulators/retroarch/bin/retroarch -L /opt/retropie/libretrocores/lr-mame2003/mame2003_libretro.so --config /opt/retropie/configs/arcade/retroarch.cfg %ROM%"
    default = "lr-mame2003"
    lr-fbalpha2012 = "/opt/retropie/emulators/retroarch/bin/retroarch -L /opt/retropie/libretrocores/lr-fbalpha2012/fbalpha2012_libretro.so --config /opt/retropie/configs/arcade/retroarch.cfg %ROM%"
    

    If not ----> READ THIS FIRST!!!! or you've false ROM Set selected.

    Usually ROMSet 0.78 is a correct one!



  • Thanx very much all works now!!



  • Usually when I try to launch with the 2003 setting it goes right back to the arcade menu screen and I have tried several versions of the game. Any ideas?



  • @unspacey Yes. Read the documentation, especially about how MAME ROMs work. It is very likely that you have the wrong ROMs. Even though a ROM might have the correct name, it may not be the right version for lr-mame2003. As noted above, you need to use ROMs from the .78 set. If you have a different version of ROMs, (or you don't know what version you have) that is your problem. There is no guessing here. Either you have the correct version or you don't. Sometimes, an incorrect version will launch, but that is only because that specific ROM did not change from one version of a set to another. It can be very misleading. ALWAYS use ROMs from the set required for the emulator you are using. Every MAME uses a specific/different ROM set, and note that in RetroPie, even though lr-mame2003 is the default, it is possible to use one of nine (9) different versions of MAME.



  • @unspacey To put it another way, by changing the "setting" as you describe it to use 2003, what you are doing is telling RetroPie which version of MAME you want to use. To succeed, the game you are launching must be a ROM from the version .78 set.



Contributions to the project are always appreciated, so if you would like to support us with a donation you can do so here.

Hosting provided by Mythic-Beasts. See the Hosting Information page for more information.